
!Time class methodsFor: '*sixx-inout-squeak-private' stamp: 'mu 1/16/2007 11:28'!
readSixxContentStringFrom: aStream
	"Squeak specific"
	^ self readFrom: aStream! !

!Time methodsFor: '*sixx-inout-squeak-private' stamp: 'MU 9/16/2002 22:28'!
sixxContentString
	"Squeak Specific"
	^self printString! !

!Object class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'jf 11/16/2009 11:33'!
readSixxContentStringFrom: aReadStream
	^ self readFrom: aReadStream! !

!IntegerArray class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'MU 5/24/2003 18:19'!
createInstanceOf: aClass withSixxElement: sixxElement 
	| col |
	col := Array readFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement)).
	^ col asIntegerArray! !

!IntegerArray methodsFor: '*sixx-inout-squeak-printing' stamp: 'MU 6/29/2002 16:03'!
sixxContentOn: aStream indent: level context: dictionary 
	aStream nextPutAll: '#( '.
	self do:[:each | aStream nextPutAll: each printString; space].
	aStream nextPutAll: ')'.! !

!Date class methodsFor: '*sixx-inout-squeak-private' stamp: 'mu 1/16/2007 11:27'!
readSixxContentStringFrom: aStream
	"Squeak specific"
	^ self readFrom: aStream! !

!Date methodsFor: '*sixx-inout-squeak-private' stamp: 'MU 9/16/2002 22:28'!
sixxContentString
	"Squeak Specific"
	^self printString! !

!Color methodsFor: '*sixx-inout-squeak-printing' stamp: 'kuri-t 5/14/2002 14:19'!
sixxContentOn: aStream indent: level context: dictionary 
	aStream nextPutAll: self storeString! !

!DateAndTime class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'mu 2/9/2010 23:48'!
createInstanceOf: aClass withSixxElement: sixxElement 

	"For old format"
	(SixxXmlUtil hasSubElementsFrom: sixxElement) ifTrue: [
		^super createInstanceOf: aClass withSixxElement: sixxElement
	].

	^ self readSixxContentStringFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement))! !

!DateAndTime class methodsFor: '*sixx-inout-squeak-private' stamp: 'mu 3/29/2007 22:34'!
readSixxContentStringFrom: aStream
	"Squeak specific"
	^ self readFrom: aStream! !

!DateAndTime methodsFor: '*sixx-inout-squeak-printing' stamp: 'mu 7/20/2006 15:47'!
sixxContentOn: aStream indent: level context: dictionary
	aStream nextPutAll: self sixxContentString! !

!DateAndTime methodsFor: '*sixx-inout-squeak-private' stamp: 'mu 7/20/2006 15:47'!
sixxContentString
	"Squeak Specific"
	^self printString! !

!ShortIntegerArray class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'mu 6/25/2004 21:07'!
createInstanceOf: aClass withSixxElement: sixxElement 
	| col |
	col := Array readFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement)).
	^self withAll: col! !

!ShortIntegerArray methodsFor: '*sixx-inout-squeak-printing' stamp: 'mu 6/25/2004 21:03'!
sixxContentOn: aStream indent: level context: dictionary 
	aStream nextPutAll: '#( '.
	self do:[:each | aStream nextPutAll: each printString; space].
	aStream nextPutAll: ')'.! !

!Preferences class methodsFor: '*sixx-inout-squeak-personalization' stamp: 'mu 6/25/2004 19:41'!
sixxLoadPreferencesFrom: aFileName
	| stream params dict desktopColor |
	stream _ SixxReadStream readOnlyFileNamed: aFileName.
	params _ stream next.
	self assert: (params isKindOf: IdentityDictionary).
	params removeKey: #PersonalDictionaryOfPreferences.
	dict _ stream next.
	self assert: (dict isKindOf: IdentityDictionary).
	desktopColor _ stream next.
	stream close.
	dict keysAndValuesDo:
		[:key :value | (self preferenceAt: key ifAbsent: [nil]) ifNotNilDo:
			[:pref | pref preferenceValue: value preferenceValue]].

	params keysAndValuesDo: [ :key :value | self setParameter: key to: value ].

	Smalltalk isMorphic
		ifTrue: [ World fillStyle: desktopColor ]
		ifFalse: [ self desktopColor: desktopColor. ScheduledControllers updateGray ].
! !

!Preferences class methodsFor: '*sixx-inout-squeak-personalization' stamp: 'mu 6/25/2004 19:27'!
sixxStorePreferencesIn: aFileName
	| stream |
	#(Prevailing PersonalPreferences) do: [ :ea | Parameters removeKey: ea ifAbsent: []].  
	stream _ SixxWriteStream newFileNamed: aFileName.
	stream nextPut: Parameters.
	stream nextPut: DictionaryOfPreferences.
	Smalltalk isMorphic
		ifTrue: [ stream nextPut: World fillStyle ]
		ifFalse: [ stream nextPut: DesktopColor ].
	stream close.! !

!WordArray class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'MU 5/24/2003 18:21'!
createInstanceOf: aClass withSixxElement: sixxElement 
	| col |
	col := Array readFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement)).
	^ col asWordArray! !

!WordArray methodsFor: '*sixx-inout-squeak-printing' stamp: 'MU 6/29/2002 16:00'!
sixxContentOn: aStream indent: level context: dictionary 
	aStream nextPutAll: '#( '.
	self do:[:each | aStream nextPutAll: each printString; space].
	aStream nextPutAll: ')'.! !

!StrikeFont class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'mu 11/2/2008 21:23'!
sixxFamilyName: familyName size: size emphasized: emphasisCode
	^self familyName: familyName pointSize: size emphasized: emphasisCode! !

!RunArray class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'MU 7/21/2002 23:30'!
createInstanceOf: aClass withSixxElement: sixxElement
	"squeak specific"
	
	^aClass basicNew! !

!RunArray methodsFor: '*sixx-inout-squeak-initializing' stamp: 'MU 7/21/2002 23:35'!
initializeFromSixxElement: sixxElement context: aDictionary 
	(SixxXmlUtil elementsFrom: sixxElement)
		do: [:elem | | varName | (SixxXmlUtil isTextFrom: elem)
				ifFalse: [varName := self class nameFromSixxElement: elem.
					varName notNil
						ifTrue: [| childInst | 
							childInst := self class fromSixxElement: elem context: aDictionary.
							self sixxInstVarNamed: varName put: childInst]]]! !

!RunArray methodsFor: '*sixx-inout-squeak-printing' stamp: 'MU 7/9/2002 01:25'!
sixxContentOn: aStream indent: level context: dictionary 
	aStream cr.
	self runs
		sixxOn: aStream
		name: 'runs'
		indent: level + 1
		context: dictionary.
	self values
		sixxOn: aStream
		name: 'values'
		indent: level + 1
		context: dictionary.
	aStream tab: level! !

!ShortPointArray class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'mu 6/25/2004 21:28'!
createInstanceOf: aClass withSixxElement: sixxElement 
	| rawCol points index pointStream |
	rawCol := Array readFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement)).
	rawCol := rawCol reject: [:e | e == #@].
	points := (Array new: rawCol size //2).
	index := 1.
	pointStream _  rawCol readStream.
	[pointStream atEnd] whileFalse: [
		points at: index put: (Point x: pointStream next asNumber y: pointStream next asNumber).
		index := index + 1.
	].
	
	^self withAll: points! !

!TTCFontSet class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'mu 12/31/2008 12:38'!
sixxFamilyName: familyName size: size emphasized: emphasisCode

	(self respondsTo: #familyName:pointSize:emphasis:) ifFalse: [
		| inst |
		inst := self family: familyName size: size.
		inst emphasis: emphasisCode.
		^inst "for 3.8"
	].

	^self familyName: familyName pointSize: size! !

!TTCFont class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'mu 12/31/2008 12:38'!
sixxFamilyName: familyName size: size emphasized: emphasisCode

	(self respondsTo: #familyName:pointSize:emphasis:) ifFalse: [
		| inst |
		inst := self family: familyName size: size.
		inst emphasis: emphasisCode.
		^inst "for 3.8"
	].

	^self familyName: familyName pointSize: size emphasis: emphasisCode! !

!Text methodsFor: '*sixx-inout-squeak-initializing' stamp: 'MU 7/21/2002 23:35'!
initializeFromSixxElement: sixxElement context: aDictionary 
	(SixxXmlUtil elementsFrom: sixxElement)
		do: [:elem | | varName | (SixxXmlUtil isTextFrom: elem)
				ifFalse: [varName := self class nameFromSixxElement: elem.
					varName notNil
						ifTrue: [| childInst | 
							childInst := self class fromSixxElement: elem context: aDictionary.
							self sixxInstVarNamed: varName put: childInst ]]]! !

!Text methodsFor: '*sixx-inout-squeak-printing' stamp: 'mu 11/10/2006 14:12'!
sixxContentOn: aStream indent: level context: dictionary
	self sixxChildrenContentsOn: aStream indent: level + 1 context: dictionary.
	aStream tab: level.! !

!FloatArray class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'MU 5/24/2003 18:19'!
createInstanceOf: aClass withSixxElement: sixxElement 
	| col |
	col := Array readFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement)).
	^ col asFloatArray! !

!FloatArray methodsFor: '*sixx-inout-squeak-printing' stamp: 'MU 6/29/2002 16:03'!
sixxContentOn: aStream indent: level context: dictionary 
	aStream nextPutAll: '#( '.
	self do:[:each | aStream nextPutAll: each printString; space].
	aStream nextPutAll: ')'.! !

!Interval methodsFor: '*sixx-inout-squeak-printing' stamp: 'jf 11/17/2009 20:41'!
sixxContentString
	^ self printString! !

!Metaclass methodsFor: '*sixx-inout-squeak-private' stamp: 'jf 11/16/2009 12:03'!
sixxMetaclassInstance
	^ self soleInstance! !

!AbstractFont class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'mu 2/9/2010 23:48'!
createInstanceOf: aClass withSixxElement: sixxElement 

	"For old format"
	| stream |
	(SixxXmlUtil hasSubElementsFrom: sixxElement ) ifTrue: [
		^super createInstanceOf: aClass withSixxElement: sixxElement
	].

	stream := ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement).
	^self readSixxContentStringFrom: stream! !

!AbstractFont class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'mu 11/2/2008 21:17'!
readSixxContentStringFrom: aStream
	| space familyName size emphasisCode |
	space := Character space.
	familyName := aStream upTo: space.
	size := (aStream upTo: space) asInteger.
	emphasisCode := (aStream upTo: space) asInteger.
	^self sixxFamilyName: familyName size: size emphasized: emphasisCode.
! !

!AbstractFont class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'mu 11/2/2008 21:23'!
sixxFamilyName: familyName size: size emphasized: emphasisCode
	^self familyName: familyName size: size emphasized: emphasisCode! !

!AbstractFont methodsFor: '*sixx-inout-squeak-printing' stamp: 'mu 12/12/2006 23:34'!
sixxContentOn: aStream indent: level context: dictionary
	aStream nextPutAll: self sixxContentString! !

!AbstractFont methodsFor: '*sixx-inout-squeak-printing' stamp: 'mu 12/12/2006 23:33'!
sixxContentString
	"Squeak Specific"
	^self fontNameWithPointSize, ' ', self emphasis asString! !

!ContextPart class methodsFor: '*sixx-inout-squeak-instance creation' stamp: 'MU 10/27/2002 17:35'!
createInstanceOf: aClass withSixxElement: sixxElement 
	SixxInvalidDeserialization signal: aClass name element: sixxElement. 
	^nil! !

!ContextPart methodsFor: '*sixx-inout-squeak-printing' stamp: 'kdt 5/27/2009 17:24'!
sixxContentOn: aStream indent: level context: dictionary
	SixxInvalidSerialization signal: self class name context: dictionary.
	SixxXmlUtil writeXmlText: self printString on: aStream! !

!FixedFaceFont methodsFor: '*sixx-inout-squeak-printing' stamp: 'mu 12/12/2006 23:33'!
emphasis
	^0! !
